Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.math
Class BSplineCurveImpl

    java.lang.Object
      de.grogra.persistence.ShareableBase
          de.grogra.graph.impl.ContextDependentBase
              de.grogra.math.VertexSetBase
                  de.grogra.math.VertexListImpl
                      de.grogra.math.BSplineCurveImpl

All Implemented Interfaces:
  ContextDependent, BSplineCurve, KnotVector, VertexList, VertexSet, Manageable, Shareable

    public class BSplineCurveImpl

extends VertexListImpl
implements BSplineCurve

Nested Class Summary
`static class` | `BSplineCurveImpl.Type`

Field Summary
`static BSplineCurveImpl.Type` | `$TYPE`
`static SCOType.Field` | `degree$FIELD`
`static SCOType.Field` | `periodic$FIELD`
`static SCOType.Field` | `rational$FIELD`

Fields inherited from class de.grogra.math.VertexSetBase
`data, data$FIELD, dimension, dimension$FIELD`

Constructor Summary
`BSplineCurveImpl()`
`BSplineCurveImpl(float[] data, int dimension, int degree, boolean periodic, boolean rational)`

Method Summary
`static BSplineCurveImpl` | `create(float[] controlPoints, int dimension, int degree, boolean clamp, boolean periodic)`
`protected int` | `getCount()`
`int` | `getDegree()`
`int` | `getDegree(GraphState gs)`
`float` | `getKnot(int dim, int index, GraphState gs)`
`protected int` | `getKnotIndex(int knot)`
`ManageableType` | `getManageableType()`
`int` | `getSize(GraphState gs)`
`int` | `getVertex(float[] out, int index, GraphState gs)`
`boolean` | `isPeriodic()`
`boolean` | `isRational()`
`boolean` | `isRational(GraphState gs)`
`void` | `setDegree(int value)`
`void` | `setPeriodic(boolean value)`
`void` | `setRational(boolean value)`

Methods inherited from class de.grogra.math.VertexSetBase
`dependsOnContext, getData, getDimension, getDimension, getVertexIndex, setData, setDimension`

Methods inherited from class de.grogra.graph.impl.ContextDependentBase
`writeStamp`

Methods inherited from class de.grogra.persistence.ShareableBase
`addReference, appendReferencesTo, fieldModified, getProvider, getStamp, initProvider, manageableReadResolve, manageableWriteReplace, removeReference`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface de.grogra.math.VertexSet
`getDimension`

Methods inherited from interface de.grogra.graph.ContextDependent
`dependsOnContext, writeStamp`

Field Detail

### $TYPE

    public static final BSplineCurveImpl.Type $TYPE

### degree$FIELD

    public static final SCOType.Field degree$FIELD

### periodic$FIELD

    public static final SCOType.Field periodic$FIELD

### rational$FIELD

    public static final SCOType.Field rational$FIELD

Constructor Detail

### BSplineCurveImpl

    public BSplineCurveImpl()

### BSplineCurveImpl

    public BSplineCurveImpl(float[] data,
                            int dimension,
                            int degree,
                            boolean periodic,
                            boolean rational)

Method Detail

### create

    public static BSplineCurveImpl create(float[] controlPoints,
                                          int dimension,
                                          int degree,
                                          boolean clamp,
                                          boolean periodic)

### getCount

    protected int getCount()

### getDegree

    public int getDegree()

### getDegree

    public int getDegree(GraphState gs)

  Specified by:
    `getDegree` in interface `BSplineCurve`

### getKnot

    public float getKnot(int dim,
                         int index,
                         GraphState gs)

  Specified by:
    `getKnot` in interface `KnotVector`

### getKnotIndex

    protected int getKnotIndex(int knot)

### getManageableType

    public ManageableType getManageableType()

  Specified by:
    `getManageableType` in interface `Manageable`
  Overrides:
    `getManageableType` in class `VertexListImpl`

### getSize

    public int getSize(GraphState gs)

  Specified by:
    `getSize` in interface `VertexList`
  Overrides:
    `getSize` in class `VertexListImpl`

### getVertex

    public int getVertex(float[] out,
                         int index,
                         GraphState gs)

  Specified by:
    `getVertex` in interface `VertexSet`
  Overrides:
    `getVertex` in class `VertexSetBase`

### isPeriodic

    public boolean isPeriodic()

### isRational

    public boolean isRational()

### isRational

    public boolean isRational(GraphState gs)

  Specified by:
    `isRational` in interface `VertexSet`
  Overrides:
    `isRational` in class `VertexSetBase`

### setDegree

    public void setDegree(int value)

### setPeriodic

    public void setPeriodic(boolean value)

### setRational

    public void setRational(boolean value)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD